%define	ver	2.5
%define momorel 5
%define contentdir /var/www


Summary: WWW Homepage Access Counter
Name: wwwcount
Version: %{ver}
Release: %{momorel}m
License: see "http://www.muquit.com/muquit/software/Count/Count.html#copyr"
Group: Applications/Internet
URL: http://www.muquit.com/muquit/software/Count/Count.html
# Vendor: Muhammad A Muquit <ma_muquit@fccc.edu>
Source: http://www.muquit.com/muquit/software/Count/src/%{name}%{ver}/%{name}%{ver}.tar.gz
Patch0: wwwcount2.5-rh_cfg.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: webserver
NoSource: 0

%description
This is a CGI program to keep record of the raw hits of a web page. 
It generates a GIF image of the number of hits and returns to the browser 
as an in-lined image. The program also has a run-time option not to show 
the digit images, this way the hits can be kept without displaying it. 
The hits can be be monitored without incrementing from a separate page 
as well. Almost all of the features are run-time options. This program 
started as a fun to play with CGI programming but due to enormous interest, 
feature request, input from thousands of you, it has turned in to the most
configurable counter on the whole World Wide Web. 

%prep
rm -rf %{buildroot}

%setup -q -n %{name}%{version}
%patch0 -p1 -b .rhcfg

%build
%configure
make all

%install
if [ -d %{buildroot} ]; then rm -rf %{buildroot}; fi

mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d \
	 %{buildroot}%{contentdir}/cgi-bin \
	 %{buildroot}%{_mandir}/man1 \
	 %{buildroot}%{_bindir}\
	 %{buildroot}/var/lib/wwwcount \
	 %{buildroot}/var/lib/wwwcount/digits \
	 %{buildroot}/var/lib/wwwcount/data \
	 %{buildroot}/var/log/httpd/wwwcount

install -s -m 755 src/Count.cgi		%{buildroot}%{contentdir}/cgi-bin
install -m 644 wwwcounter.conf		%{buildroot}%{_sysconfdir}/wwwcounter.conf
install -m 644 data/rgb.txt		%{buildroot}/var/lib/wwwcount
install -m 644 data/data/sample.dat	%{buildroot}/var/lib/wwwcount/data
install -s -m 755 utils/mkstrip/mkstrip	%{buildroot}%{_bindir}
install -s -m 755 utils/extdgts/extdgts	%{buildroot}%{_bindir}
install -m 644 utils/mkstrip/mkstrip.1	%{buildroot}%{_mandir}/man1

(cd data/digits ; tar cf - . ) | ( cd %{buildroot}/var/lib/wwwcount/digits ; tar xf - )

cat <<LOGROTATE >%{buildroot}%{_sysconfdir}/logrotate.d/wwwcount
/var/log/httpd/wwwcount/wwwcount_log {
    create 644 apache apache
}
LOGROTATE

%clean
if [ -d %{buildroot} ]; then rm -rf %{buildroot}; fi

%files
%defattr(-, root, root)
%doc README VERSION docs tests
%doc utils/extdgts/extdgts.txt
%doc utils/mkstrip/mkstrip.sh
%doc utils/mkstrip/mkstrip.txt
%doc utils/mirror

%config(noreplace) %{_sysconfdir}/wwwcounter.conf
%{_sysconfdir}/logrotate.d/wwwcount
%attr(-, apache, apache) %{contentdir}/cgi-bin/Count.cgi
%{_bindir}/extdgts
%{_bindir}/mkstrip
%{_mandir}/man1/mkstrip.1*
%attr(-, apache, apache) /var/lib/wwwcount
%attr(-, apache, apache) %dir /var/log/httpd/wwwcount

%changelog
* Sat Oct 25 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.5-5m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Feb 10 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (2.5-4m)
- rebuild against httpd

* Mon Jan 27 2003 YAMAGUCHI Kenji <yamk@momonga-linux.org>
- (2.5-3m)
- use %{contentdir} 
- fix Buildroot, mkstrip.1* and more.

* Mon Jan 27 2003 smbd <smbd@momonga-linux.org>
- (2.5-2m)
- use rpm macros
- thnks to nakai [Momondga-devel.ja:01305]

* Thu Sep  6 2002 Shinji Takei <stakei@nga.jp>
 (2.5-1m)
-Momongarize

* Tue Jun 13 2000 Kenji Yamaguchi <yamk@momonga-linux.org>
  [wwwcount-2.5-2k1]
- Get this rpm from RedHat contrib. 
- Fixed spec for Kondara MNU/Linux 1.1.
- Fixed New URL:, Source:
- NoSource.

* Thu Dec  2 1999 Ryan Weaver <ryanw@infohwy.com>
  [wwwcount-2.5-2]
- Fixed some permissions with RPM.

* Thu Dec  2 1999 Ryan Weaver <ryanw@infohwy.com>
  [wwwcount-2.5-1]
- Updated to version 2.5

* Fri Jul 17 1998 Riku Meskanen <mesrik@cc.jyu.fi>
- initial build for RH 5.0 and RH 5.1
 
